Bug 63882 - wrong optflags in textutils.spec?
wrong optflags in textutils.spec?
Product: Red Hat Linux
Classification: Retired
Component: textutils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-04-20 00:30 EDT by kehcheng
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-08 10:16:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description kehcheng 2002-04-20 00:30:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 

Description of problem:
The line "%define optflags -g" in textutils.spec causes all programs in the 
package to be built without any optimization.  On a 1.7 GHz Xeon workstation 
with 2 GB of memory, checking the MD5 sum of a 600 MB iso image takes 29 
seconds using /usr/bin/md5sum.  The same operation takes less than 5 seconds 
using a private copy of md5sum recompiled with the optflags line removed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.time /usr/bin/md5sum xxx.iso
2.recompile md5sum with some level of optimization
3.time ./md5sum xxx.iso

Actual Results:  Recompiled md5sum runs much faster than /usr/bin/md5sum.
The same is true with other programs in textutils.

Expected Results:  Programs in /usr/bin should have decent, if not optimal, 

Additional info:
Comment 1 Bernhard Rosenkraenzer 2002-06-27 08:33:32 EDT
This was necessary at some point because of compiler problems, but since they 
have been fixed since, I agree it should be removed. Done in 2.0.21-4. 

Note You need to log in before you can comment on or make changes to this bug.